Subject: [bug#65041] [PATCH] gnu: clisp: Add threads support on x84_64-linux.

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 28 Aug 2023 16:23:25 +0000

Hi.

As clisp has over 1600 dependent packages, updating it should be done on
a "lisp-team" branch which will be merged into the master branch if all
goes well. However I can't do that right now as I'm on holiday until
next week.

Sharlatan Hellseher <[email-masked]> skribis:

> * gnu/packages/lisp.scm (clisp)[arguments]: Add configuration options to
> support threads on x86_64-linux system.
> [...]
> +                           ,@(if (string-prefix? "x86_64-linux"
> +                                                 (or (%current-system)
> +                                                     (%current-target-system)))
> +                                 '("--enable-portability"
> +                                   "--with-threads=POSIX_THREADS")
> +                                 '())

Does clisp only support threads on x86-64, or could it be enabled for
some other architectures?